Skip to content

WireIntermedFi⁠

Perform various operations on wire intermediary FI records.

Operations⁠

searchWireIntermedFiAdvPagedSelectFields⁠

POST

Searches for wire intermediary financial institution advanced paged information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/wire/searchWireIntermedFiAdvPagedSelectFields
POST /nexum/627/2022.01/wire/searchWireIntermedFiAdvPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireIntermedFiAdvFields": true,
    "WireIntermedFiAdvFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getWireIntermedFiInfo⁠

POST

Retrieve intermediary financial institution information

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireIntermedFiInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/getWireIntermedFiInfo
POST /nexum/627/2022.01/wire/getWireIntermedFiInfo HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireIntermedFiInfoLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getWireIntermedFiInfoSelectFields⁠

POST

Retrieve intermediary financial institution information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireIntermedFiInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/getWireIntermedFiInfoSelectFields
POST /nexum/627/2022.01/wire/getWireIntermedFiInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireIntermedFiInfoLocator": 0,
  "SelectableFields": {
    "IncludeAllWireIntermedFiInfoFields": true,
    "WireIntermedFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireIntermedFiInfoPagedList⁠

POST

Retrieve paged intermediary financial institution information

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/wire/getWireIntermedFiInfoPagedList
POST /nexum/627/2022.01/wire/getWireIntermedFiInfoPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireIntermedFiInfoListSelectFields⁠

POST

Retrieve a list of intermediary financial institution information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/getWireIntermedFiInfoListSelectFields
POST /nexum/627/2022.01/wire/getWireIntermedFiInfoListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "SelectableFields": {
    "IncludeAllWireIntermedFiInfoFields": true,
    "WireIntermedFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireIntermedFiInfoSelectFields⁠

POST

Searches for wire intermediary financial institution information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/searchWireIntermedFiInfoSelectFields
POST /nexum/627/2022.01/wire/searchWireIntermedFiInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "SelectableFields": {
    "IncludeAllWireIntermedFiInfoFields": true,
    "WireIntermedFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}